<?php
/**
 * Class MassDeleteAccountForm
 * User: Nessandro
 * Date: 2019-10-11
 * Time: 11:29
 * @package ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAccount\Forms
 */

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAccount\Forms;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAccount\Providers\DeleteAccountDataProvider;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\FormConstants;

class MassDeleteAccountForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteAccountForm';
    protected $name  = 'massDeleteAccountForm';
    protected $title = 'massDeleteAccountForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteAccountDataProvider();

        $this->setConfirmMessage('massDeleteAccountFormConfirm');


        $this->loadDataToForm();
    }

}